export * from "./types";
export * from "./reducer";
export function useAccountUIState(): {
    userToken: null;
    email: null;
    login: {
        /**
         * Hook for using the global account state for account-related global [[AccountUIState]] state changes (i.e. login, forgot password, set password, verify reset code).
         *
         * @category Hooks
         */
        email: null;
        transitId: null;
        transitErrorMessage: null;
        transitInProgress: boolean;
        transitComplete: boolean;
        transitSuccess: boolean;
    };
    forgotPassword: {
        email: null;
        transitId: null;
        transitErrorMessage: null;
        transitInProgress: boolean;
        transitComplete: boolean;
        transitSuccess: boolean;
    };
    setPassword: {
        setPasswordTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
        verifyResetCodeTransit: {
            transitId: null;
            transitErrorMessage: null;
            transitInProgress: boolean;
            transitComplete: boolean;
            transitSuccess: boolean;
        };
    };
};
export function useAccountUIActions(): never;
import { StateContext } from "./context";
import { ActionContext } from "./context";
import { AccountActions } from "./dispatchActions";
export { StateContext as AccountUIStateContext, ActionContext as AccountUIActionContext, AccountActions };
